#ifdef REDIR
struct filetbl {
	u_short ref;
	u_short mode;
	u_char attr;
	u_short dev_attr;
	u_char far *dpb;
	u_short head_fat;
	u_long time;
	long size;
	long offset;
	u_short la_off;
#if 0
	u_short la_fat;
#else
	u_short dir_slot;
#endif
	u_short dir_fat;
#if 0
	u_char dir_slot;
#else
	u_char dir_id;
#endif
	char fcbname[11];
};

struct filetbl2 {
	struct filetbl far *fp;
	u_short la_fat;
};
#else
struct filetbl {
	int ref, dirty;
	short sh_mode, acc_mode;
	struct drvinfo *drv;
	char path[MAX_PATH_LEN];
	char name[16];
	long offset, size;
	u_short head_fat, tail_fat;
	u_long la_off; /* last accessed offset / clustersize */
	u_short la_fat; /* last accessed cluster */
	short fat_hint;  /* 0: la_fat valid, -1: before, 1: after */
	u_short dir_id, dir_fat, dir_slot;
};

struct htbl {
	int handle;
	struct filetbl *fp;
};
#define MAX_FILE  20
#endif
